Package wx :: Class WindowDC

[frames | no frames]

## Type WindowDC

    object --+
             |
        Object --+
                 |
                DC --+
                     |
                    WindowDC

Known Subclasses:
  `ClientDC`, `MemoryDC`

A wx.WindowDC must be constructed if an application wishes to paint on the whole area of a window (client and decorations). This should normally be constructed as a temporary stack object; don't store a wx.WindowDC object.

Method Summary
WindowDC | ``__init__`(self, win)` Constructor.

Property Summary
| `thisown`: The membership flag

Method Details

### __init__(self, win)
(Constructor)

Constructor. Pass the window on which you wish to paint.

  Parameters:
    `win`
    (type=Window)

  Returns:
    WindowDC
  Overrides:
    `wx.DC.__init__`

Property Details

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:08:48 2007 | http://epydoc.sf.net